This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 431136 - mutt hangs occasionally
mutt hangs occasionally
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 17:00 EST by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-01-31 17:00:13 EST
Description of problem:

Sometimes when syncing a mailbox, mutt hangs. The backtrace is fairly bizarre:

#0  0x0000003dc92cada0 in __write_nocancel () from /lib64/libc.so.6
#1  0x0000003dc926f953 in _IO_new_file_write (f=<value optimized out>, 
    data=<value optimized out>, n=<value optimized out>) at fileops.c:1266
#2  0x0000003dc926f866 in _IO_new_do_write (fp=<value optimized out>, 
    data=<value optimized out>, to_do=<value optimized out>) at fileops.c:520
#3  0x0000003dc926fe97 in _IO_new_file_sync (fp=<value optimized out>) at
fileops.c:895
#4  0x0000003dc92654b0 in _IO_fflush (fp=<value optimized out>) at iofflush.c:43
#5  0x0000003b39423066 in doupdate () at ../../ncurses/tty/tty_update.c:922
#6  0x0000003b39415ecc in wrefresh (win=<value optimized out>)
    at ../../ncurses/base/lib_refresh.c:61
#7  0x0000000000419cbc in mutt_curses_message (fmt=<value optimized out>)
    at curs_lib.c:336
#8  0x00000000004197c8 in mutt_progress_update (progress=0x7fff7c3cae50, pos=32630)
    at curs_lib.c:400
#9  0x000000000043d8c6 in mh_sync_mailbox (ctx=0x15ecdd0, 
    index_hint=<value optimized out>) at mh.c:1605
#10 0x000000000043fb39 in mx_close_mailbox (ctx=0x15ecdd0,
index_hint=0x7fff7c3cb21c)
    at mx.c:984
#11 0x000000000041da23 in mutt_index_menu () at curs_main.c:1117
#12 0x0000000000435ca8 in main (argc=3, argv=0x7fff7c3cc618) at main.c:1005
#13 0x0000003dc921e2b4 in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, init=<value
optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=Could
not find the frame base for "__libc_start_main".
)
    at libc-start.c:220
#14 0x00000000004060c9 in _start ()

i.e., hanging in write() to the terminal.

This is with mutt running in a standard gnome-terminal.

Version-Release number of selected component (if applicable):

mutt-1.5.17-2.fc9.x86_64
glibc-2.7.90-4.x86_64
ncurses-libs-5.6-14.20080112.fc9.x86_64
gnome-terminal-2.21.90-1.fc9.x86_64
vte-0.16.12-1.fc9.x86_64

How reproducible:

Occasionally

Steps to Reproduce:
1. Sync a mailbox (larger triggers more often)
Comment 1 Miroslav Lichvar 2008-02-01 08:44:24 EST
Unfortunately I'm not able to reproduce it. Does this also happen in xterm?
Comment 2 Patrice Dumas 2008-02-01 09:11:49 EST
I haven't experienced anything similar either. I use mutt in an xterm.
Comment 3 Bill Nottingham 2008-02-01 10:01:54 EST
Not in a brief test, but it's an 'occasional' thing.

Attempting to get a good debug trace from the gnome-terminal side at the moment.
Comment 4 Bill Nottingham 2008-02-01 15:42:21 EST
This appears to be a gnome-terminal bug. When it gets stuck, it can get unstuck
via mouse clicks and other non-keyboard/display events on the widget.
Comment 5 Behdad Esfahbod 2008-02-04 20:22:09 EST
Bill, a typescript may help too...  More of an upstream issue probably.
Comment 6 Bug Zapper 2008-05-14 00:57:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 19:28:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bill Nottingham 2009-06-10 11:04:30 EDT
This got fixed... somewhere.

Note You need to log in before you can comment on or make changes to this bug.